database_api.list_vesting_delegation_expirations
since HF17
Purpose
베스팅 위임 만료 목록을 반환합니다. 파라미터: start:array, limit:int, order:string
limit는 최대 1000입니다.order는 다음 중 하나:by_expiration- 만료일 순start는timestamp,expiration_id두 값으로 이루어진 배열입니다
by_account_expiration- 계정 만료 순start는account,timestamp,expiration_id세 값으로 이루어진 배열입니다
start (array) | limit (int) | order (string) | |
|---|---|---|---|
["1970-01-01T00:00:00", 0] | 10 | by_expiration | 위임을, 결과 10개로 제한하고 만료일 순으로 정렬하여 조회합니다. |
["alice", "1970-01-01T00:00:00", 0] | 10 | by_account_expiration | 이 날짜 이후의 위임을, 결과 10개로 제한하고 계정 만료 순으로 정렬하여 조회합니다. |
함께 보기: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegation_expirations",
"params": {
"start": [
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegation_expirations",
"params": {
"start": [
"alice",
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_account_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"delegations": [
{
"id": 3076685,
"delegator": "anonsteem",
"vesting_shares": {
"amount": "6050629930",
"precision": 6,
"nai": "@@000000037"
},
"expiration": "2018-12-05T07:07:15"
}
]
}